aboutsummaryrefslogtreecommitdiffstats
path: root/main/open-iscsi/iscsid.initd
diff options
context:
space:
mode:
Diffstat (limited to 'main/open-iscsi/iscsid.initd')
-rw-r--r--main/open-iscsi/iscsid.initd18
1 files changed, 6 insertions, 12 deletions
diff --git a/main/open-iscsi/iscsid.initd b/main/open-iscsi/iscsid.initd
index a6ce71b2ef..2affb80840 100644
--- a/main/open-iscsi/iscsid.initd
+++ b/main/open-iscsi/iscsid.initd
@@ -34,18 +34,12 @@ do_modules() {
modopts="$@"
for m in ${modules}
do
- if [ -n "$(find /lib/modules/`uname -r` | grep ${m})" ]
- then
- ebegin "${msg} ${m}"
- modprobe ${modopts} ${m}
- ret=$?
- eend ${ret}
- if [ ${ret} -ne 0 ]; then
- return ${ret}
- fi
- else
- ebegin "${msg} ${m}: not found"
- return 1
+ ebegin "${msg} ${m}"
+ modprobe ${modopts} ${m}
+ ret=$?
+ eend ${ret}
+ if [ ${ret} -ne 0 ]; then
+ return ${ret}
fi
done
return 0